<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
  "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>chili:one minute gallery</title>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<link rel="stylesheet" type="text/css" href="styles.css">
</head>

<body>

<%
'	***********************************************************************
'  Hier den Pfad zum Image-Verzeichnis eintragen
'	***********************************************************************
	dim PictureRoot: PictureRoot = "/Fotos/"


	dim fso, fsoFolder, fsoSubFolders, fsoFiles
	
	set fso = Server.CreateObject("Scripting.FileSystemObject")
	
	'*********************************************************************
	' Links zu den Bildern anzeigen
	'*********************************************************************
	If Request.QueryString("dir") <> "" And Request.QueryString("file") = "" Then
		
		set fsoFolder = fso.GetFolder(Server.MapPath(PictureRoot & Request.QueryString("dir")))
		set fsoFiles  = fsoFolder.Files
%>
		
		<span class="normal">Verzeichnis: <i><%= Request.Querystring("dir") %></i></span><br> &nbsp;<br>
		<table width="403" style="border:1px #AEDF7D dashed;">
		<tr style="background-color:#EFFFDF;">
			<td style="width:143px; padding:5px 0 5px 3px;">Dateiname</td>
			<td style="width:130px; padding:5px 0 5px 3px;">Erstellt am</td>
			<td style="width:70px; padding:5px 0 5px 3px;">Gre</td>
			<td style="width:60px; padding:5px 0 5px 3px;">Format</td>
		</tr>

<%	For Each file in fsoFiles %>

			<tr><td class="listing"><img src="images/pfeil.gif" style="vertical-align:center;"> <a class="klein" href="gallery.asp?dir=<%= Request.Querystring("dir") %>&file=<%= file.Name %>"><%= Left(file.Name, Instr(file.Name, ".") - 1) %></a></td>
			<td class="listing"><%= file.DateCreated %></td>
			<td class="listing"><%= FormatNumber(file.Size / 1024, 1) %> kB</td>
			<td class="listing"><%= file.Type %></td></tr>

<%	Next %>

		</table>

<%		
		set fsoFiles = Nothing
		
	'*********************************************************************
	' Bilder anzeigen
	'*********************************************************************
	ElseIf Request.QueryString("dir") <> "" And Request.QueryString("file") <> "" Then
		
		set fsoFolder = fso.GetFolder(Server.MapPath(PictureRoot & Request.QueryString("dir")))
		set fsoFiles  = fsoFolder.Files
		
		dim actFile:      actFile     = Request.Querystring("file")
		dim RecNextfFile: RecNextFile = False
		dim nextFile, prevFile, lastFile
		
		For Each file in fsoFiles
			
			If RecNextFile = True Then 
				nextFile = file.Name
				Exit For
			End If
		
			If actFile = file.Name Then 
				prevFile = lastFile
				RecNextFile = True
			End If
			
			lastFile = file.Name	'speichern fr prevFile
		
		Next
		
		Set fsoFiles = Nothing
		Set fsoFolder = Nothing
%>
		<table width="403" style="border:1px #AEDF7D dashed;">
		<tr style="background-color:#EFFFDF;">
			<td style="width:120px; padding:5px 0 5px 3px;"><img src="images/left.gif"> <a href="gallery.asp?dir=<%= Request.Querystring("dir") %>&file=<%= prevFile %>">Voriges</a></td>
			<td style="text-align:center; padding:5px 0 5px 3px;"><img src="images/up.gif"> <a href="gallery.asp?dir=<%= Request.Querystring("dir") %>">bersicht</a></td>
			<td style="width:120px; text-align:right; padding:5px 3px 5px 3px;"><img src="images/pfeil.gif"> <a href="gallery.asp?dir=<%= Request.Querystring("dir") %>&file=<%= nextFile %>">Nchstes</a></td>
		</tr>
		<tr>
			<td colspan="3" style="text-align:center; padding:15px 10px 15px 10px;"><img src="<%= PictureRoot & Request.Querystring("dir") & "/" & Request.Querystring("file") %>"><br> &nbsp;<br>
				<div class="listing" style="text-align:left;">Datei: ../<%= Request.Querystring("dir") & "/" & Request.Querystring("file") %><br> &nbsp;<br>
				Dieses Bild in Originalgre? Bitte Kontakt aufnehmen!<br> &nbsp;<br>
				<i>Dieses Bild ist urheberrechtlich geschtzt und darf ohne Genehmigung nicht weiterverwendet werden.</i>
				</div>
			</td>
		</tr>
		</table>
<%	
	'*********************************************************************
	' Kategorien (=Verzeichnise) anzeigen
	'*********************************************************************
	Else

		set fsoFolder = fso.GetFolder(Server.MapPath(PictureRoot))
		set fsoSubFolders = fsoFolder.SubFolders
%>
		<table width="403" style="border:1px #AEDF7D dashed;">
			<tr style="background-color:#EFFFDF;">
				<td style="width:200px; padding:5px 0 5px 3px;">Galerie</a></td>
				<td style="width:160padding:5px 0 5px 3px;">Erstellt am</td>
				<td style="width:43px; padding:5px 3px 5px 3px;">Bilder</td>
			</tr>
			
<%	For Each folder in fsoSubFolders %>
			
			<tr><td class="listing"><img src="images/pfeil.gif" style="vertical-align:center;"> <a class="klein" href="gallery.asp?dir=<%= folder.Name %>"><%= folder.Name %></a></td>
			<td class="listing"><%= folder.DateCreated %></td>
			<td class="listing" style="text-align:right;"><%= folder.files.count %></td></tr>
			
<%	Next %>
		
		</table>

<%
		set fsoSubFolders = Nothing
		set fsoFolder = Nothing
	
	End If	
	
	set fso = Nothing
%>
<!-- Please don't remove this link to my homepage! -->
<p class="listing">
	Gallery powered by <a class="klein" href="http://www.chili-it.at">chili-it.at</a>
</p>

</body>
</html>